Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::CellEditable Class Reference

A GtkCellEditable C++ wrapper class. More...

`#include <inti/gtk/celleditable.h>`

Inheritance diagram for Inti::Gtk::CellEditable:

List of all members.

## Public Member Functions

Accessors

- GtkCellEditable * gtk_cell_editable () const
    Get a pointer to the GtkCellEditable structure.
- GtkCellEditableIface * gtk_cell_editable_iface () const
    Get a pointer to the GtkCellEditableIface structure.
- operator GtkCellEditable * () const
    Conversion operator; safely converts a Calendar to a GtkCalendar pointer.

Methods

- void start_editing (const Gdk::Event *event)
    Begins editing on a cell_editable.
- void editing_done ()
    Emits the "editing_done" signal.
- void remove_widget ()
    Emits the "remove_widget" signal.

Signal Proxies

- const EditingDoneSignalProxy sig_editing_done ()
    Connect to the editing_done_signal; emitted when the cell renderer should update it's value from the cell.
- const RemoveWidgetSignalProxy sig_remove_widget ()
    Connect to the remove_widget_signal; emitted when the cell is finished editing, and the editable widget may now be destroyed.

## Protected Member Functions

Constructors

- virtual ~CellEditable ()=0
    Destructor.

Signal Handlers

- virtual void on_editing_done ()
    Called when the cell renderer should update it's value from the cell.
- virtual void on_remove_widget ()
    Called when the cell is finished editing, and the editable widget may now be destroyed.

## Detailed Description

A GtkCellEditable C++ wrapper class.

CellEditable is an abstract interface that Entry implements through multiple inheritance. CellRenderer returns a smart pointer to a CellEditable when you call CellRenderer::start_editing(). Using this pointer, you can monitor the editing process by connecting to either its editing_done_signal or remove_widget_signal.

## Member Function Documentation

void Inti::Gtk::CellEditable::editing_done | ( |  | ) |

| Emits the "editing_done" signal. This signal is a sign for the cell renderer to update it's value from the cell.

void Inti::Gtk::CellEditable::remove_widget | ( |  | ) |

| Emits the "remove_widget" signal. This signal is meant to indicate that the cell is finished editing, and the editable widget may now be destroyed.

void Inti::Gtk::CellEditable::start_editing | ( | const Gdk::Event * | event | ) |

  | Begins editing on a cell_editable. Parameters:
  event | A Gdk::Event, or null.
The event is the Gdk::Event that began the editing process. It may be null, in the instance that editing was initiated through programatic means.

The documentation for this class was generated from the following file:

- celleditable.h

Main Page - Footer